Subject: Re: [SWIPL] Stale NFS file handle

From: Jan Wielemaker <[email-masked]>
Date: Fri, 7 Dec 2001 09:50:47 +0100

> I have encountered I/O error during file I/O:
> 
> ERROR: I/O error in read on stream $stream(322678) (Stale NFS file handle)
> 
> get_code/2 generated the above message. The file was NFS-mounted. I
> confirmed that the the file was mounted properly.
> 
> Could anybody advise me to avoid the problem?

As far as I recall, "Stale NFS file handle" means the file has gone on the
server.  It's 99.99% sure nothing to do with Prolog, but just with your setup.
One hint: if you monitor a file over NFS (not a good plan anyway) but the server
side updates the file by deleting it and writing a new one you may get this
trouble as the underlying inode changes.

It you still distrust Prolog itself, use a system-call tracer.  Called strace
on Linux, truss on Solaris, and maybe different on what you are using.

	--- Jan